Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# SinglePlayerPercept Class Reference

This class contains some information about a single perceived robot. More...

`#include <PlayersPercept.h>`

Inheritance diagram for SinglePlayerPercept:

[legend]
Collaboration diagram for SinglePlayerPercept:

[legend]
List of all members.

## Public Member Functions
| SinglePlayerPercept ()
| Simple constructor.
void | serialize (In *in, Out *out)
## Public Attributes
Vector2< double > | offsetOnField
| offset to the robot, relative to own robot
double | directionOnField
| The direction of the perceived robot.
Vector2< int > | positionInImage
| position of the robot in the image
double | orientation
double | validity
| The validity of this percept.

## Detailed Description

This class contains some information about a single perceived robot.

Definition at line 19 of file PlayersPercept.h.

## Constructor & Destructor Documentation

SinglePlayerPercept::SinglePlayerPercept | ( |  | ) | `[inline]`

| Simple constructor. Definition at line 23 of file PlayersPercept.h. References directionOnField.

## Member Function Documentation

void SinglePlayerPercept::serialize | ( | In * | in,
|  | Out * | out
| ) | `[inline, virtual]`

| Implements Streamable. Definition at line 39 of file PlayersPercept.h. References directionOnField, positionInImage, STREAM, STREAM_REGISTER_BEGIN, and STREAM_REGISTER_FINISH.

## Member Data Documentation

Vector2<double> SinglePlayerPercept::offsetOnField

| offset to the robot, relative to own robot Definition at line 26 of file PlayersPercept.h. Referenced by VLCImageProcessor::clusterRobots(), SlamImageProcessor::clusterRobots(), GT2005PlayerSpecialist::detectBlueRobots(), GT2005PlayerSpecialist::detectRedRobots(), VLCImageProcessor::filterPercepts(), SlamImageProcessor::filterPercepts(), and GuideDogRobotSpecialist::scanParallelToHorizon().

double SinglePlayerPercept::directionOnField

| The direction of the perceived robot. Definition at line 29 of file PlayersPercept.h. Referenced by VLCImageProcessor::clusterRobots(), SlamImageProcessor::clusterRobots(), GT2005PlayerSpecialist::detectBlueRobots(), GT2005PlayerSpecialist::detectRedRobots(), GuideDogRobotSpecialist::scanParallelToHorizon(), serialize(), and SinglePlayerPercept().

Vector2<int> SinglePlayerPercept::positionInImage

| position of the robot in the image Definition at line 32 of file PlayersPercept.h. Referenced by VLCImageProcessor::clusterRobots(), SlamImageProcessor::clusterRobots(), GT2005PlayerSpecialist::detectBlueRobots(), GT2005PlayerSpecialist::detectRedRobots(), and serialize().

double SinglePlayerPercept::orientation

| Definition at line 34 of file PlayersPercept.h. Referenced by GT2005PlayerSpecialist::detectBlueRobots(), and GT2005PlayerSpecialist::detectRedRobots().

double SinglePlayerPercept::validity

| The validity of this percept. Definition at line 37 of file PlayersPercept.h. Referenced by VLCRobotSpecialist::addPercept(), GT2005RobotSpecialist::addPercept(), VLCImageProcessor::clusterRobots(), SlamImageProcessor::clusterRobots(), GT2005PlayerSpecialist::detectBlueRobots(), GT2005PlayerSpecialist::detectRedRobots(), and GuideDogRobotSpecialist::scanParallelToHorizon().

The documentation for this class was generated from the following file:

- Representations/Perception/PlayersPercept.h